fleet
POST /v1/fleet/drain
Take this host out of placement on graceful shutdown.
Authentification
Envoyez une clé d'API en tant que jeton du porteur (bearer token). Cet endpoint n'indique pas de permission spécifique dans la spécification, attribuez donc à votre clé le minimum requis et vérifiez la réponse plutôt que de faire des suppositions.
Cet endpoint ne prend aucun identifiant d'organisation. Votre clé identifie déjà l'organisation à laquelle elle appartient, et la réponse y est limitée.
Essayer
Remplacez tout ce qui se trouve entre crochets par vos propres valeurs, et le espace réservé à la clé par une clé de votre tableau de bord.
curl -X POST https://api.zinndigital.com/v1/fleet/drain \
-H "Authorization: Bearer zdk_live_…" \
-H "Content-Type: application/json" \
-d '{ "instance_id": <string> }'Connecté ? La console d'API de votre tableau de bord saisit votre véritable ID d'organisation ainsi que votre propre clé, et exécute la requête sur l'API de production afin que vous puissiez voir la réponse réelle. Ouvrir ce point de terminaison dans la console API
Détails
The only availability change a box may make for itself, and safe in the direction it moves: a host can take itself **out** of service and never back **in**. Returning requires either the once-only first-heartbeat promotion or a staff undrain (`setWorkerDrain`). Idempotent; a `decommissioned` host is left alone.
Corps de la requête
| Nom | Type | Obligatoire | Qu'est-ce que c'est |
|---|---|---|---|
instance_id | string | Oui | — |
Réponse
| Nom | Type | Obligatoire | Qu'est-ce que c'est |
|---|---|---|---|
worker_id | string | Non | — |
hostname | string | Non | — |
status | string<provisioning, active, draining, down, decommissioned> | Non | — |
accepts_deploys | boolean | Non | — |
region | string | Non | — |
pool | string | Non | — |
driver | string | Non | — |
capacity | integer | Non | — |
product_lines | string[] | Non | — |
heartbeat_interval_seconds | integer | Non | How often to heartbeat, decided engine-side. The box no longer reads its own interval from an env file, so "the host-down window is ten missed beats" stays a fact about the depl… |
Erreurs que cet point de terminaison peut renvoyer
401 · 422 · 429